"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var styled_components_1 = __importDefault(require("styled-components"));
var BounceCheckbox = function (_a) {
    var checked = _a.checked, onChange = _a.onChange;
    return ((0, jsx_runtime_1.jsxs)(StyledCheckBoxWrap, { children: [(0, jsx_runtime_1.jsx)("input", { type: "checkbox", checked: checked, onChange: onChange }), (0, jsx_runtime_1.jsx)("svg", __assign({ viewBox: "0 0 21 21" }, { children: (0, jsx_runtime_1.jsx)("polyline", { points: "5 10.75 8.5 14.25 16 6" }) }))] }));
};
exports.default = BounceCheckbox;
var StyledCheckBoxWrap = styled_components_1.default.label(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  --background: #fff;\n  --border: #d1d6ee;\n  --border-hover: #bbc1e1;\n  --border-active: rgb(115, 103, 240);\n  --tick: #fff;\n  --stroke: var(--tick);\n  position: relative;\n  input,\n  svg {\n    width: 21px;\n    height: 21px;\n    display: block;\n  }\n  input {\n    -webkit-appearance: none;\n    -moz-appearance: none;\n    position: relative;\n    outline: none;\n    background: var(--background);\n    border: none;\n    margin: 0;\n    padding: 0;\n    cursor: pointer;\n    border-radius: 4px;\n    transition: box-shadow 0.3s;\n    box-shadow: inset 0 0 0 var(--s, 1px) var(--b, var(--border));\n    &:hover {\n      --s: 2px;\n      --b: var(--border-hover);\n    }\n    &:checked {\n      --b: var(--border-active);\n      --s: 11px;\n      & + svg {\n        animation: bounce 0.4s linear forwards 0.2s;\n      }\n    }\n  }\n  svg {\n    pointer-events: none;\n    fill: none;\n    stroke-width: 2px;\n    stroke-linecap: round;\n    stroke-linejoin: round;\n    stroke: var(--stroke, var(--border-active));\n    position: absolute;\n    top: 0;\n    left: 0;\n    width: 21px;\n    height: 21px;\n    transform: scale(var(--scale, 1)) translateZ(0);\n    --scale: 0;\n  }\n\n  @keyframes bounce {\n    50% {\n      transform: scale(1.2);\n    }\n    75% {\n      transform: scale(0.9);\n    }\n    100% {\n      transform: scale(1);\n    }\n  }\n"], ["\n  --background: #fff;\n  --border: #d1d6ee;\n  --border-hover: #bbc1e1;\n  --border-active: rgb(115, 103, 240);\n  --tick: #fff;\n  --stroke: var(--tick);\n  position: relative;\n  input,\n  svg {\n    width: 21px;\n    height: 21px;\n    display: block;\n  }\n  input {\n    -webkit-appearance: none;\n    -moz-appearance: none;\n    position: relative;\n    outline: none;\n    background: var(--background);\n    border: none;\n    margin: 0;\n    padding: 0;\n    cursor: pointer;\n    border-radius: 4px;\n    transition: box-shadow 0.3s;\n    box-shadow: inset 0 0 0 var(--s, 1px) var(--b, var(--border));\n    &:hover {\n      --s: 2px;\n      --b: var(--border-hover);\n    }\n    &:checked {\n      --b: var(--border-active);\n      --s: 11px;\n      & + svg {\n        animation: bounce 0.4s linear forwards 0.2s;\n      }\n    }\n  }\n  svg {\n    pointer-events: none;\n    fill: none;\n    stroke-width: 2px;\n    stroke-linecap: round;\n    stroke-linejoin: round;\n    stroke: var(--stroke, var(--border-active));\n    position: absolute;\n    top: 0;\n    left: 0;\n    width: 21px;\n    height: 21px;\n    transform: scale(var(--scale, 1)) translateZ(0);\n    --scale: 0;\n  }\n\n  @keyframes bounce {\n    50% {\n      transform: scale(1.2);\n    }\n    75% {\n      transform: scale(0.9);\n    }\n    100% {\n      transform: scale(1);\n    }\n  }\n"])));
var templateObject_1;
