"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useInput = function (initialValue) {
    var _a = (0, react_1.useState)(initialValue), userFormInput = _a[0], setUserFormInput = _a[1];
    var onChangeForm = (0, react_1.useCallback)(function (e) {
        setUserFormInput(e.target.value);
    }, []);
    return [userFormInput, onChangeForm];
};
exports.default = useInput;
