/// <reference types="react" />
import { AOIType, CommonComponents, tasksType } from "../types";
interface ContentQuestionProps extends CommonComponents {
    taskList: tasksType[];
    isOverflow?: boolean;
    viewOnly?: boolean;
    textInform: string;
    setTextInform: (value: string) => void;
    onUpdateTasks: (tasks: tasksType[]) => void;
    onUpdateSelectQuestionIndex: (idx: number) => void;
    onUpdateCanvasAOIIndex: (idx: number) => void;
    onUpdateAOIMode: (mode: "add" | "fix", target?: {
        aoi: AOIType;
        index: number;
    }) => void;
}
declare const _default: import("react").NamedExoticComponent<ContentQuestionProps>;
export default _default;
